Bug 1433209 - SUI :RBAC: Catalog Menu should be hidden or it should show Dashboard when no permissions
Summary: SUI :RBAC: Catalog Menu should be hidden or it should show Dashboard when no ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Chris Hale
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-17 04:31 UTC by Shveta
Modified: 2017-05-31 14:43 UTC (History)
4 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:43:03 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Shveta 2017-03-17 04:31:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.8.0.6-nightly.20170316163139_6cb8ae3

How reproducible:


Steps to Reproduce:
1. create a user with no permissions for catalogs. 
2. Login in SUI ,Catalogs can be viewed and create form also shows up.
3. Like templates and dialogs , it should show "dashboard" or the menu itself should be hidden when no permissions.

Actual results:


Expected results:


Additional info:

Comment 2 Chris Hale 2017-03-28 14:09:08 UTC
GH PR https://github.com/ManageIQ/manageiq-ui-service/pull/610.

Comment 3 Shveta 2017-04-26 20:21:42 UTC
Fixed.
Verified in 5.8.0.12-rc1.20170425180304_4f35996

Comment 5 errata-xmlrpc 2017-05-31 14:43:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.